#4163 (ok 4.0.10) Setup script does not recognize manually-configured server

4.0.9
fixed
setup (7)
1
2013-12-04
2013-11-24
Rob Lewis
No

Migrating from 3.5.0 to 4.0.9 I manually copied server configuration info (in the $cfg['Servers'] array) into the new config file, and it is working. Then I went through the steps here: …/phpmyadmin/doc/html/setup.html#setup_script
(creating the setup directory and copying my current config file into it) and tried to run the setup script. It informed me that "There are no configured servers", when in fact one is configured and working fine.

Related

Bugs: #4163

Discussion

  • Marc Delisle

    Marc Delisle - 2013-11-25

    Rob,
    did you click on the bottom "Load" button? I realize that this step is missing from the doc and I added it with
    https://github.com/phpmyadmin/phpmyadmin/commit/975870337b02b19e4afcbf4c9467c21e6c7a387f

    Please confirm.

     
    Last edit: Marc Delisle 2013-11-25
    • Rob Lewis

      Rob Lewis - 2013-11-29

      Hi, Marc. I now see the Load button and it seems to work, thank you.
      Question, though: why does the Overview screen say that my end-of-line character is Windows-style \r\n, when I have always edited the config file with BBEdit on a Mac, and presumably it uses Unix-style EOLs?

       
      • Marc Delisle

        Marc Delisle - 2013-11-30

        Hi Rob,
        I looked at the code and this happens if phpMyAdmin detects that it is running on a Windows server.

         
        • Rob Lewis

          Rob Lewis - 2013-11-30

          Well, in point of fact I have run it for years only on Mac servers. Currently on Mavericks Server OS. Have never run it on Windows.

          (BTW, I don’t know whether this is a bug or not, but pMA won’t run for me until I edit the php.ini file to explicitly specify the MySQL socket location as /tmp/mysql.sock. It causes MySQL error 2002: file does not exist or socket is incorrectly configured. This is a bit puzzling because the docs say that if this is not specified, the MySQL default will be used. But apparently it isn’t.)

          On Nov 30, 2013, at 4:51 AM, Marc Delisle lem9@users.sf.net wrote:

          Hi Rob,
          I looked at the code and this happens if phpMyAdmin detects that it is running on a Windows server.

          [bugs:#4163] (ok 4.0.10) Setup script does not recognize manually-configured server

          Status: resolved
          Labels: setup
          Created: Sun Nov 24, 2013 03:02 PM UTC by Rob Lewis
          Last Updated: Fri Nov 29, 2013 05:33 PM UTC
          Owner: Marc Delisle

          Migrating from 3.5.0 to 4.0.9 I manually copied server configuration info (in the $cfg['Servers'] array) into the new config file, and it is working. Then I went through the steps here: …/phpmyadmin/doc/html/setup.html#setup_script
          (creating the setup directory and copying my current config file into it) and tried to run the setup script. It informed me that "There are no configured servers", when in fact one is configured and working fine.

          Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/phpmyadmin/bugs/4163/

          To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

           

          Related

          Bugs: #4163

          • Marc Delisle

            Marc Delisle - 2013-11-30

            Rob,
            for your other problems (socket and possible incorrect detection of the server being on Windows), please open other tickets because it's too hard to follow more than one problem on the same ticket.

             
  • Marc Delisle

    Marc Delisle - 2013-11-25
    • assigned_to: Marc Delisle
     
  • Rob Lewis

    Rob Lewis - 2013-11-25

    No, I didn’t even see it.

    Do the instructions on the setup.html page I was following refer to it? I don’t remember any mention of it.

    Don’t have time to test it right now, but that sounds like it could certainly be the problem. Thanks.

    On Nov 25, 2013, at 4:39 AM, Marc Delisle lem9@users.sf.net wrote:

    Rob,
    did you click on the bottom "Load" button?

    [bugs:#4163] Setup script does not recognize manually-configured server

    Status: open
    Labels: setup
    Created: Sun Nov 24, 2013 03:02 PM UTC by Rob Lewis
    Last Updated: Sun Nov 24, 2013 03:02 PM UTC
    Owner: nobody

    Migrating from 3.5.0 to 4.0.9 I manually copied server configuration info (in the $cfg['Servers'] array) into the new config file, and it is working. Then I went through the steps here: …/phpmyadmin/doc/html/setup.html#setup_script
    (creating the setup directory and copying my current config file into it) and tried to run the setup script. It informed me that "There are no configured servers", when in fact one is configured and working fine.

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/phpmyadmin/bugs/4163/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #4163

  • Marc Delisle

    Marc Delisle - 2013-11-29
    • summary: Setup script does not recognize manually-configured server --> (ok 4.0.10) Setup script does not recognize manually-configured server
    • status: open --> resolved
    • Priority: 5 --> 1
     
  • Marc Delisle

    Marc Delisle - 2013-12-04
    • status: resolved --> fixed
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks